org.apache.fop.fo.properties

## Class ReferenceOrientationMaker

- java.lang.Object
- - org.apache.fop.fo.properties.PropertyMaker
  - - org.apache.fop.fo.properties.NumberProperty.Maker
    - - org.apache.fop.fo.properties.ReferenceOrientationMaker

All Implemented Interfaces:
  Cloneable

    public class ReferenceOrientationMaker
    extends NumberProperty.Maker

Custom Maker adding validity check for reference-orientation

### Property Summary

### Properties inherited from class org.apache.fop.fo.properties.PropertyMaker

`makeNewProperty`

### Field Summary

### Fields inherited from class org.apache.fop.fo.properties.PropertyMaker

`contextDep, corresponding, defaultProperty, defaultValue, propId, setByShorthand`

### Constructor Summary

Constructors
Constructor and Description
`ReferenceOrientationMaker(int propId)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`Property` `get(int subpropId, PropertyList propertyList, boolean tryInherit, boolean tryDefault)` Check the value of the reference-orientation property.

### Methods inherited from class org.apache.fop.fo.properties.NumberProperty.Maker

`convertProperty`

### Methods inherited from class org.apache.fop.fo.properties.PropertyMaker

`addEnum, addKeyword, addShorthand, addSubpropMaker, checkEnumValues, checkValueKeywords, clone, compute, convertPropertyDatatype, convertShorthandProperty, findProperty, getName, getPercentBase, getPropId, getShorthand, getSubprop, getSubpropMaker, isInherited, make, make, make, makeNewProperty, setByShorthand, setCorresponding, setDatatypeParser, setDefault, setDefault, setInherited, setPercentBase, setSubprop, useGeneric`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReferenceOrientationMaker

    public ReferenceOrientationMaker(int propId)

Constructor

Parameters:
  `propId` - the Constant Id for the property to be made

### Method Detail

#### get

    public Property get(int subpropId,
                        PropertyList propertyList,
                        boolean tryInherit,
                        boolean tryDefault)
                 throws PropertyException

Check the value of the reference-orientation property. Return the property on the current FlowObject. Depending on the passed flags, this will try to compute it based on other properties, or if it is inheritable, to return the inherited value. If all else fails, it returns the default value.

Overrides:
  `get` in class `PropertyMaker`
Parameters:
  `subpropId` - The subproperty id of the property being retrieved. Is 0 when retrieving a base property.
  `propertyList` - The PropertyList object being built for this FO.
  `tryInherit` - true if inherited properties should be examined.
  `tryDefault` - true if the default value should be returned.
Returns:
  the property value
Throws:
  `PropertyException` - if there is a problem evaluating the property